%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name string_decoder

Name: %{?scl_prefix}nodejs-string_decoder
Version: 1.1.1
Release: 1%{?dist}
Summary: The string_decoder module from Node core
License: MIT
Group: Development/Libraries
URL: https://github.com/nodejs/string_decoder
Source0: https://registry.npmjs.org/string_decoder/-/string_decoder-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
Requires: npm(safe-buffer) >= 5.1.0
Requires: npm(safe-buffer) < 5.2.0
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

%changelog
